嵌入式爱好者

查看: 1625|回复: 8

[Linux] OKMX6Q、DL(QT5.6+linux4.1.15)开发环境 QT5.6编译设置问题

[复制链接]

5

主题

8

帖子

24

积分

i.MX6Q通行证

扫一扫,手机访问本帖
发表于 2019-5-5 16:53:59 | 显示全部楼层 |阅读模式
qt编译环境设置里Kits设置报mkspec not found for Qt version错误怎么解决,造成项目没有办法编译
回复

使用道具 举报

2

主题

3635

帖子

3350

积分

发表于 2019-5-5 18:43:59 | 显示全部楼层
楼主 问题可能为  在我们提供 的4.1.15虚拟机文件有一个  README.txt 需要您阅读

点评

我也遇到这个问题,没有找到虚拟机里面的README.txt,麻烦把解决方法贴出来下吧!  详情 回复 发表于 2019-6-10 10:15
好的,谢谢啦,问题已解决  详情 回复 发表于 2019-5-6 10:39
技术支持电话:0312-3119192
技术支持邮箱:Android@forlinx.com
点评回复 支持 反对

使用道具 举报

5

主题

8

帖子

24

积分

i.MX6Q通行证

 楼主| 发表于 2019-5-6 10:39:00 | 显示全部楼层
飞凌-chongzi 发表于 2019-5-5 18:43
楼主 问题可能为  在我们提供 的4.1.15虚拟机文件有一个  README.txt 需要您阅读

好的,谢谢啦,问题已解决

点评

请问你怎么解决这个问题的?  详情 回复 发表于 2019-6-10 10:45
点评回复 支持 反对

使用道具 举报

1

主题

6

帖子

17

积分

i.MX6Q通行证

发表于 2019-6-10 10:15:13 | 显示全部楼层
飞凌-chongzi 发表于 2019-5-5 18:43
楼主 问题可能为  在我们提供 的4.1.15虚拟机文件有一个  README.txt 需要您阅读

我也遇到这个问题,没有找到虚拟机里面的README.txt,麻烦把解决方法贴出来下吧!
点评回复 支持 反对

使用道具 举报

1

主题

6

帖子

17

积分

i.MX6Q通行证

发表于 2019-6-10 10:45:50 | 显示全部楼层
1wangchenguang 发表于 2019-5-6 10:39
好的,谢谢啦,问题已解决

请问你怎么解决这个问题的?

点评

如果使用qtcreator编译arm qt5应用,需要执行qt5.sh脚本打开qtcreator 在终端执行 source /root/qt5.sh  详情 回复 发表于 2019-6-11 17:16
点评回复 支持 反对

使用道具 举报

0

主题

15

帖子

32

积分

发表于 2019-6-11 17:16:43 | 显示全部楼层
chun307 发表于 2019-6-10 10:45
请问你怎么解决这个问题的?

如果使用qtcreator编译arm qt5应用,需要执行qt5.sh脚本打开qtcreator
在终端执行  source /root/qt5.sh

点评

但是Kits还是红点 显示mkspec not found for Qt version  详情 回复 发表于 2019-6-12 14:04
点评回复 支持 反对

使用道具 举报

1

主题

6

帖子

17

积分

i.MX6Q通行证

发表于 2019-6-12 14:04:34 | 显示全部楼层
陈鹏勃 发表于 2019-6-11 17:16
如果使用qtcreator编译arm qt5应用,需要执行qt5.sh脚本打开qtcreator
在终端执行  source /root/qt5.sh

但是Kits还是红点 显示mkspec not found for Qt version

点评

我也遇到了这个问题,您解决了吗? Kits里那个红点,显示Mkspec not found for Qt version ,对编译有影响吗  详情 回复 发表于 2019-8-29 10:15
点评回复 支持 反对

使用道具 举报

0

主题

1

帖子

11

积分

i.MX6Q通行证

发表于 2019-8-29 10:15:17 | 显示全部楼层
chun307 发表于 2019-6-12 14:04
但是Kits还是红点 显示mkspec not found for Qt version

我也遇到了这个问题,您解决了吗? Kits里那个红点,显示Mkspec not found for Qt version ,对编译有影响吗
点评回复 支持 反对

使用道具 举报

2

主题

3635

帖子

3350

积分

发表于 2019-9-4 09:56:10 | 显示全部楼层
zhlist 发表于 2019-8-29 10:15
我也遇到了这个问题,您解决了吗? Kits里那个红点,显示Mkspec not found for Qt version ,对编译有影 ...

需要用source脚本打开,不然会有编译报错
技术支持电话:0312-3119192
技术支持邮箱:Android@forlinx.com
点评回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|手机版|小黑屋|飞凌嵌入式 ( 冀ICP备12004394号-1

GMT+8, 2019-10-18 06:36

Powered by Discuz! X3.2

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表